Request

Response

    Get a Lifecycle State
    GET

    vaults/{vaultId}/lifecycle-states/{id}

    Retrieves lifecycle state details for the given ID.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/lifecycle-states/{id}
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.
    id
    string
    The unique identifier of a lifecycle state.

    Response

    HTTP Status Code Summary

    200
    OK
    The lifecycle state was successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (200)

    id
    string
    The unique identifier of a server-based lifecycle state.
    url
    string
    The relative URL to access this object.
    name
    string
    The name of this lifecycle state.
    displayName
    string
    The display name of this lifecycle state.
    description
    string
    The description of this lifecycle state.
    comments
    array: string
    A list of predefined comments available for selection when changing entity states.
    isDefault
    boolean
    true: This state is the default state of the lifecycle definition.

    false: This state is not the default state of the lifecycle definition.

    color
    int
    The color code of this lifecycle state icon.
    isReleasedState
    boolean
    Indicates whether this state is a released state.

    true: This state is a released state.

    false: This state is not a released state.

    isObsoleteState
    boolean
    Indicates whether this state is an obsolete state.

    true: This state is an obsolete state.

    false: This state is not an obsolete state.

    displayOrder
    int
    The display order of this state among other states of the same lifecycle definition.

    Example

    This example illustrates how to get a lifecycle state by ID.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/lifecycle-states/1' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "id": "1",
      "lifecycleDefinition": {
        "id": "1",
        "name": "Basic Release Process",
        "systemName": "Basic Release Process",
        "displayName": "Basic Release Process",
        "description": "Basic manufacturing lifecycle process for release control",
        "url": "/AutodeskDM/Services/api/vault/v2/vaults/9/lifecycle-definitions/1"
      },
      "name": "Work in Progress",
      "displayName": "Work in Progress",
      "description": "State for free-form design creation and modifications",
      "comments": [
        "Available for editing",
        "Change request"
      ],
      "isDefault": true,
      "color": -12859030,
      "isReleasedState": false,
      "isObsoleteState": false,
      "displayOrder": 1,
      "url": "/AutodeskDM/Services/api/vault/v2/vaults/9/lifecycle-states/1"
    }
    
    Show More